opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::MSER Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::MSER:

## Public Member Functions
| CV_WRAP_AS (detect) void operator()(const Mat &image
| the operator that extracts the MSERs from the image or the specific part of it
CV_WRAP | MSER ()
| the default constructor
CV_WRAP | MSER (int _delta, int _min_area, int _max_area, double _max_variation, double _min_diversity, int _max_evolution, double _area_threshold, double _min_margin, int _edge_blur_size)
| the full constructor

## Public Attributes
CV_OUT vector< vector< Point > > const Mat &mask | const
CV_OUT vector< vector< Point > > & | msers
Public Attributes inherited from CvMSERParams
double | areaThreshold
| the area threshold to cause re-initialize
int | delta
| delta, in the code, it compares (size_{i}-size_{i-delta})/size_{i-delta}
int | edgeBlurSize
| the aperture size for edge blur
int | maxArea
| prune the area which bigger than maxArea
int | maxEvolution
| for color image, the evolution steps
float | maxVariation
| prune the area have simliar size to its children
int | minArea
| prune the area which smaller than minArea
float | minDiversity
| trace back to cut off mser with diversity < min_diversity
double | minMargin
| ignore too small margin

## Detailed Description

Maximal Stable Extremal Regions class.

The class implements MSER algorithm introduced by J. Matas. Unlike SIFT, SURF and many other detectors in OpenCV, this is salient region detector, not the salient point detector.

It returns the regions, each of those is encoded as a contour.

## Constructor & Destructor Documentation

CV_WRAP cv::MSER::MSER | ( |  | ) |

the default constructor

CV_WRAP cv::MSER::MSER | ( | int | _delta,
|  | int | _min_area,
|  | int | _max_area,
|  | double | _max_variation,
|  | double | _min_diversity,
|  | int | _max_evolution,
|  | double | _area_threshold,
|  | double | _min_margin,
|  | int | _edge_blur_size
| ) |  |

the full constructor

## Member Function Documentation

cv::MSER::CV_WRAP_AS | ( | detect |  | ) | const

the operator that extracts the MSERs from the image or the specific part of it

## Member Data Documentation

CV_OUT vector<vector<Point> > const Mat& mask cv::MSER::const

CV_OUT vector<vector<Point> >& cv::MSER::msers

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp